diff --git a/src/Service/MenuLinkTreeHandler.php b/src/Service/MenuLinkTreeHandler.php
index 4a1265a..8c40569 100644
--- a/src/Service/MenuLinkTreeHandler.php
+++ b/src/Service/MenuLinkTreeHandler.php
@@ -12,35 +12,36 @@ use Drupal\Core\Entity\Entity\EntityViewDisplay;
  * Class MenuLinkTreeHandler.
  */
 class MenuLinkTreeHandler implements MenuLinkTreeHandlerInterface {
-
+  
   /**
    * The entity type manager.
    *
    * @var \Drupal\Core\Entity\EntityTypeManagerInterface
    */
   protected $entityTypeManager;
-
+  
   /**
    * The entity repository.
    *
    * @var \Drupal\Core\Entity\EntityRepositoryInterface
    */
   protected $entityRepository;
-
+  
   /**
    * Constructs a new MenuLinkTreeHandler.
    *
    * @param \Drupal\Core\Entity\EntityTypeManagerInterface $entity_type_manager
-   *   The entity type manager.
+   *        The entity type manager.
    * @param \Drupal\Core\Entity\EntityRepositoryInterface $entity_repository
-   *   The entity repository manager.
+   *        The entity repository manager.
    */
   public function __construct(EntityTypeManagerInterface $entity_type_manager, EntityRepositoryInterface $entity_repository) {
     $this->entityTypeManager = $entity_type_manager;
     $this->entityRepository = $entity_repository;
   }
-
+  
   /**
+   *
    * {@inheritdoc}
    */
   public function getMenuLinkItemEntity(MenuLinkInterface $link) {
@@ -48,22 +49,19 @@ class MenuLinkTreeHandler implements MenuLinkTreeHandlerInterface {
     $metadata = $link->getMetaData();
     if (!empty($metadata['entity_id'])) {
       /** @var \Drupal\menu_link_content\Entity\MenuLinkContent $menu_item */
-      $menu_item = $this->entityTypeManager
-        ->getStorage('menu_link_content')
-        ->load($metadata['entity_id']);
+      $menu_item = $this->entityTypeManager->getStorage('menu_link_content')->load($metadata['entity_id']);
     }
     else {
-      $menu_item = $this->entityTypeManager
-        ->getStorage('menu_link_content')
-        ->create($link->getPluginDefinition());
+      $menu_item = $this->entityTypeManager->getStorage('menu_link_content')->create($link->getPluginDefinition());
     }
     if ($menu_item) {
       $menu_item = $this->entityRepository->getTranslationFromContext($menu_item);
     }
     return $menu_item;
   }
-
+  
   /**
+   *
    * {@inheritdoc}
    */
   public function getMenuLinkContentViewMode(MenuLinkContentInterface $entity) {
@@ -76,8 +74,9 @@ class MenuLinkTreeHandler implements MenuLinkTreeHandlerInterface {
     }
     return $view_mode;
   }
-
+  
   /**
+   *
    * {@inheritdoc}
    */
   public function getMenuLinkItemContent(MenuLinkContentInterface $entity, $menu_level = NULL, $show_item_link = FALSE) {
@@ -85,26 +84,46 @@ class MenuLinkTreeHandler implements MenuLinkTreeHandlerInterface {
     $view_builder = $this->entityTypeManager->getViewBuilder('menu_link_content');
     $view_mode = $entity->id() ? $this->getMenuLinkContentViewMode($entity) : 'default';
     $render_output = $view_builder->view($entity, $view_mode);
-
+    
     // Build the entity view ourselves and unset the #pre_render so that it
     // doesn't run twice later on, when rendered.
     // This gives us access to all fields immediately in the menu template.
     $render_output = $view_builder->build($render_output);
     array_pop($render_output['#pre_render']);
-
+    
     // Unset cache, handled by menu_item_extras_link_item_content_active_trails.
     unset($render_output['#cache']);
-
+    
     // Add other properties.
     $render_output['#show_item_link'] = $show_item_link;
     if (!is_null($menu_level)) {
       $render_output['#menu_level'] = $menu_level;
     }
-
+    
+    $render_output['#is_emty_layout'] = false;
+    // Verifie si le layout est vide.
+    if ($entity->hasField('layout_builder__layout')) {
+      $layout = $entity->get('layout_builder__layout');
+      $value = $layout->first();
+      if ($value) {
+        $value = $value->getValue();
+        if ($value['section']) {
+          /**
+           *
+           * @var \Drupal\layout_builder\Section $layoutRender
+           */
+          $layoutRender = $value['section'];
+          if ($layoutRender->getLayoutId() == 'layout_builder_blank') {
+            $render_output['#is_empty_layout'] = true;
+          }
+        }
+      }
+    }
     return $render_output;
   }
-
+  
   /**
+   *
    * {@inheritdoc}
    */
   public function getMenuLinkItemViewMode(MenuLinkInterface $link) {
@@ -112,11 +131,12 @@ class MenuLinkTreeHandler implements MenuLinkTreeHandlerInterface {
     if ($entity) {
       return $this->getMenuLinkContentViewMode($entity);
     }
-
+    
     return 'default';
   }
-
+  
   /**
+   *
    * {@inheritdoc}
    */
   public function isMenuLinkDisplayedChildren(MenuLinkInterface $link) {
@@ -125,17 +145,16 @@ class MenuLinkTreeHandler implements MenuLinkTreeHandlerInterface {
     if ($entity) {
       $view_mode = $this->getMenuLinkContentViewMode($entity);
       /* @var \Drupal\Core\Entity\Entity\EntityViewDisplay $display */
-      $display = $this->entityTypeManager
-        ->getStorage('entity_view_display')
-        ->load($entity->getEntityTypeId() . '.' . $entity->bundle() . '.' . $view_mode);
+      $display = $this->entityTypeManager->getStorage('entity_view_display')->load($entity->getEntityTypeId() . '.' . $entity->bundle() . '.' . $view_mode);
       if ($display->getComponent('children')) {
         return TRUE;
       }
     }
     return FALSE;
   }
-
+  
   /**
+   *
    * {@inheritdoc}
    */
   public function processMenuLinkTree(array &$items, $menu_name, $menu_level = -1, $show_item_link = FALSE) {
@@ -160,5 +179,5 @@ class MenuLinkTreeHandler implements MenuLinkTreeHandlerInterface {
     }
     return $items;
   }
-
+  
 }
